-- HEX File Format
-- Spaces don't matter...don't use tabs. Blank lines are ok.
--
--
wt   16;
--> Read the Component ID
rd 0x000
--> Read the Version Number
rd 0x001
rd 0x000
rd 0x001
rd 0x000
rd 0x001
rd 0x000
rd 0x001

wt 5
--> Disable the component
wr 0x002 0x00
wt 10

--> Enable the component
wr 0x002 0x02
wt 8

--> Write the local control
wr 0x010 0x05
wt 5
rd_verify 0x010 0x05


wr 0x010 0x05
wr 0x010 0x05
wr 0x010 0x05
--> Read the local status
rd 0x011

--> Setup the counter
--> init
wr 0x013 0x20
--> step
wr 0x014 0x02
--> Load it...
wr 0x012 0x01
wt 48
--> Check the counter flag
wt_verify 0x15 0x01 0x01 0x01

--> Set the IRQ Masks
wr 0x005 0x1
wr 0x009 0x1
--> Set the IRQ lines
wr 0x016 0x1
wt 1
rd_verify 0x004 0x01
rd_verify 0x008 0x01
rd_verify 0x00A 0x00

--> Change the masks
wr 0x005 0x0
wr 0x009 0x0
wt 1
rd_verify 0x004 0x00
rd_verify 0x008 0x00
rd_verify 0x00A 0x00

--> re-set the IRQ Masks
wr 0x005 0x1
wr 0x009 0x1
rd_verify 0x004 0x00
rd_verify 0x008 0x01
rd_verify 0x00A 0x00

--> Take away the IRQ bit
wr 0x016 0x00
wt 2
rd_verify 0x004 0x00
rd_verify 0x008 0x00
rd_verify 0x00A 0x01

--> Re-set the rising-edge irq to test the clear
wr 0x016 0x01
wr 0x016 0x00
wt 2
rd_verify 0x004 0x01
rd_verify 0x008 0x00
rd_verify 0x00A 0x01

--> Clear the IRQ status bit
wr 0x004 0x01
wr 0x00A 0x01
wt 2
rd_verify 0x004 0x00
rd_verify 0x008 0x00
rd_verify 0x00A 0x00

--END
